summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLarry Knox <lrknox@hdfgroup.org>2016-10-24 21:38:45 (GMT)
committerLarry Knox <lrknox@hdfgroup.org>2016-10-24 21:38:45 (GMT)
commit3b1b2f42df9fe0579b441f4e57f0838017814266 (patch)
tree1cec7141b5b106e2c31105cb53a6cbe6e8bf7abe
parent582bc9481ffdebfd1578cb828c7e7aaefaff02c6 (diff)
parentdb9b0cb1006daa2c249a60ceca1d518a3da06c88 (diff)
downloadhdf5-3b1b2f42df9fe0579b441f4e57f0838017814266.zip
hdf5-3b1b2f42df9fe0579b441f4e57f0838017814266.tar.gz
hdf5-3b1b2f42df9fe0579b441f4e57f0838017814266.tar.bz2
Merge pull request #96 in HDFFV/hdf5 from ~LRKNOX/hdf5_lrk:develop to develop
* commit 'db9b0cb1006daa2c249a60ceca1d518a3da06c88': Translate SVN commands and references to GIT. Translate svn commands and references to git.
-rwxr-xr-xbin/bbrelease10
-rwxr-xr-xbin/chkcopyright2
-rwxr-xr-xbin/chkmanifest6
-rwxr-xr-xbin/release6
4 files changed, 12 insertions, 12 deletions
diff --git a/bin/bbrelease b/bin/bbrelease
index c5d562e..b06b243 100755
--- a/bin/bbrelease
+++ b/bin/bbrelease
@@ -190,7 +190,7 @@ today=`date +%Y%m%d`
pmode='no'
revmode='no'
tmpdir="../#release_tmp.$$" # tmp work directory
-DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/trunk
+DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git
CPPLUS_RM_NAME=cpplus_RM
# Restore previous Version information
@@ -334,7 +334,7 @@ done
# trunk is different than branches.
if [ "${DOCVERSION}" ]; then
- DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/branches/${DOCVERSION}
+ DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git -b ${DOCVERSION}
fi
# Create the tar file
@@ -371,11 +371,11 @@ for comp in $methods; do
;;
doc)
if [ "${DOCVERSION}" = "" ]; then
- DOCVERSION=trunk
+ DOCVERSION=master
fi
test "$verbose" && echo " Creating docs..." 1>&2
- # Check out docs from svn repo
- (cd $tmpdir; svn co $DOC_URL > /dev/null) || exit 1
+ # Check out docs from git repo
+ (cd $tmpdir; git clone $DOC_URL > /dev/null) || exit 1
# Create doxygen C++ RM
(cd c++/src && doxygen cpp_doc_config > /dev/null ) || exit 1
# Replace version of C++ RM with just-created version
diff --git a/bin/chkcopyright b/bin/chkcopyright
index 07fcb24..f6e910d 100755
--- a/bin/chkcopyright
+++ b/bin/chkcopyright
@@ -30,7 +30,7 @@ DIFF="diff"
INITFILE=.h5chkright.ini
EXCEPTIONS=/tmp/h5chkright.except.$$
tmpfile=/tmp/h5chkright_tmp.$$
-EXCEPTIONDIRS="-name CVS -o -name .svn" # at least skip CVS directories.
+EXCEPTIONDIRS="-name .git" # at least skip .git directories.
EXTRACTEDFILE=/tmp/h5chkright.extracted.$$
VERBOSE= # default no
FIXIT= # default no
diff --git a/bin/chkmanifest b/bin/chkmanifest
index a0b51af..a01217d 100755
--- a/bin/chkmanifest
+++ b/bin/chkmanifest
@@ -14,8 +14,8 @@
# access to either file, you may request a copy from help@hdfgroup.org.
#
-# Check that all the files in MANIFEST exist and that (if this is a
-# SVN checkout) that all the SVN-managed files appear in the
+# Check that all the files in MANIFEST exist and (if this is a
+# GIT checkout) that all the GIT-managed files appear in the
# MANIFEST.
#
@@ -142,7 +142,7 @@ done
if [ "X$fail" = "Xyes" ]; then
cat 1>&2 <<EOF
The MANIFEST is out of date. Files marked with a minus sign (-) no
-longer exist; files marked with a plus sign (+) are SVN-managed but do
+longer exist; files marked with a plus sign (+) are GIT-managed but do
not appear in the MANIFEST. Please remedy the situation and try again.
EOF
exit 1
diff --git a/bin/release b/bin/release
index 1d3c9c5..08779cb 100755
--- a/bin/release
+++ b/bin/release
@@ -168,7 +168,7 @@ release_date=`date +%F`
today=`date +%Y%m%d`
pmode='no'
tmpdir="../#release_tmp.$$" # tmp work directory
-DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/trunk
+DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git
CPPLUS_RM_NAME=cpplus_RM
# Restore previous Version information
@@ -316,8 +316,8 @@ for comp in $methods; do
;;
doc)
test "$verbose" && echo " Creating docs..." 1>&2
- # Check out docs from svn repo
- (cd $tmpdir; svn co $DOC_URL > /dev/null) || exit 1
+ # Check out docs from git repo
+ (cd $tmpdir; git clone $DOC_URL > /dev/null) || exit 1
# Create doxygen C++ RM
(cd c++/src && doxygen cpp_doc_config > /dev/null ) || exit 1
# Replace version of C++ RM with just-created version